Bug 23185 - imap 2000 and local sertificates
imap 2000 and local sertificates
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: imap (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
Need Real Name
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-02 17:31 EST by Need Real Name
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-06 16:03:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-01-02 17:31:40 EST
imap 2000 seems lacks the functionality
which presents in stunnel and was used in the previos releases:
validate client through locally installed sertificates.

/usr/sbin/stunnel
  -v level	verify peer certificate
		   level 1 - verify peer certificate if present
		   level 2 - require valid peer certificate always
		   level 3 - verify peer with locally installed certificate

The imap 2000 does not have an analogue of
-v 3 to validate client sertificate
Comment 1 Mike A. Harris 2001-05-19 03:02:25 EDT
That appears to be a feature of stunnel, and we no longer use stunnel for
imaps support as it is integrated into UW imap now.  If you need that support,
just continue using stunnel, although you may have to build your own imapd.


Note You need to log in before you can comment on or make changes to this bug.